nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Friends | List of all members
nx_spl::FtpFileInfoIterator Class Reference
Inheritance diagram for nx_spl::FtpFileInfoIterator:

## Public Member Functions
| FtpFileInfoIterator (FtpImplPtr impl, FileListType &&fileList)
virtual FileInfo *STORAGE_METHOD_CALL | next (int *ecode) const override
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Cast to type, specified by interfaceID. More...
virtual int | addRef () const override
| Increment reference counter. More...
virtual int | releaseRef () const override
| Decrement reference counter. More...

## Friends
class | aux::PluginRefCounter< FtpFileInfoIterator >

## Member Function Documentation

## ◆ addRef()

int nx_spl::FtpFileInfoIterator::addRef | ( |  | ) | const
| overridevirtual

Increment reference counter.

Returns
  new reference count

Note
  PluginInterface::releaseRef is not guaranteed to be called from thread that called PluginInterface::addRef

Implements nxpl::PluginInterface.

## ◆ next()

FileInfo * nx_spl::FtpFileInfoIterator::next | ( | int * | ecode | ) | const
| overridevirtual

Parameters

  ecode | Pointer to error code. Pass NULL if you are not interested in error information.

Returns
  current FileInfo* and moves iterator to the next position. Previous FileInfo* is invalidated. If no more files, NULL is returned.

Implements nx_spl::FileInfoIterator.

## ◆ queryInterface()

void * nx_spl::FtpFileInfoIterator::queryInterface | ( | const nxpl::NX_GUID & | interfaceID | ) |
| overridevirtual

Cast to type, specified by interfaceID.

If pointer cannot be cast, NULL MUST be returned

Returns
  If not NULL, returned pointer can be safely cast to type, defined by interfaceID

Note
  This method increments reference counter

Implements nxpl::PluginInterface.

## ◆ releaseRef()

int nx_spl::FtpFileInfoIterator::releaseRef | ( |  | ) | const
| overridevirtual

Decrement reference counter.

When zero, object MUST be removed

Returns
  new reference count

Note
  PluginInterface::releaseRef is not guaranteed to be called from thread that called PluginInterface::addRef

Implements nxpl::PluginInterface.

The documentation for this class was generated from the following files:

- samples/storage/ftp_storage_plugin/src/ftp_library.h
- samples/storage/ftp_storage_plugin/src/ftp_library.cpp